Loading...
Searching...
No Matches
CxxTest::ErrorPrinter::Adapter Class Reference

## Public Member Functions

| Adapter (CXXTEST_STD(ostream) &o)
void | flush ()
OutputStream & | operator<< (const char *s)
OutputStream & | operator<< (Manipulator m)
OutputStream & | operator<< (unsigned i)
Public Member Functions inherited from CxxTest::OutputStream
virtual | ~OutputStream ()

## Private Member Functions

| CXXTEST_STD (ostream) &_o

## Additional Inherited Members

Public Types inherited from CxxTest::OutputStream
typedef void(* | Manipulator) (OutputStream &)
Static Public Member Functions inherited from CxxTest::OutputStream
static void | endl (OutputStream &o)

## Detailed Description

Definition at line 36 of file ErrorPrinter.h.

## Constructor & Destructor Documentation

## Adapter()

CxxTest::ErrorPrinter::Adapter::Adapter | ( | CXXTEST_STD(ostream) & | o | ) |

inline

Definition at line 40 of file ErrorPrinter.h.

: _o(o) {}
CxxTest::ErrorFormatter::_o
OutputStream * _o
Definition ErrorFormatter.h:275

## Member Function Documentation

## CXXTEST_STD()

CxxTest::ErrorPrinter::Adapter::CXXTEST_STD | ( | ostream |  | ) | &

private

## flush()

void CxxTest::ErrorPrinter::Adapter::flush | ( |  | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 41 of file ErrorPrinter.h.

{ _o.flush(); }
CxxTest::OutputStream::flush
virtual void flush()
Definition ErrorFormatter.h:23

## operator<<() [1/3]

OutputStream & CxxTest::ErrorPrinter::Adapter::operator<< | ( | const char * | s | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 42 of file ErrorPrinter.h.

{ _o << s; return *this; }
CxxTest::s
char * s
Definition ValueTraits.h:143

## operator<<() [2/3]

OutputStream & CxxTest::ErrorPrinter::Adapter::operator<< | ( | Manipulator | m | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 43 of file ErrorPrinter.h.

{ return OutputStream::operator<<( m ); }
m
int m
Definition cfEzgcd.cc:128
CxxTest::OutputStream::operator<<
virtual OutputStream & operator<<(unsigned)
Definition ErrorFormatter.h:24

## operator<<() [3/3]

OutputStream & CxxTest::ErrorPrinter::Adapter::operator<< | ( | unsigned | i | ) |

inline virtual

Reimplemented from CxxTest::OutputStream.

Definition at line 44 of file ErrorPrinter.h.

{
char s[1 + 3 * sizeof(unsigned)];
numberToString( i, s );
_o << s;
return *this;
}
i
int i
Definition cfEzgcd.cc:132

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ErrorPrinter.h